body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #000;
}

.container {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.audio-player {
    height: 95%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: #0a0a0a0b;
    color: #fff;
    position: relative;
    overflow: hidden;
    position: relative;
}

.cover-img {
    box-sizing: border-box;
    height: 102px;
    position: absolute;
    top: 10px;
    left: 10px;
    padding: 0;
    margin: 0;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

#cover {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    background-color: black;
}

video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
}

.plate-wrapper {
    padding-top: 40px;
    padding-bottom: 40px;
    height: fit-content;
    width: 25%;
    background-color: #00000095;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    position: relative;
}

.song-info {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.song-details {
    text-align: left;
    margin-left: 20px;
    margin-bottom: 10px;
}

.song-details h2 {
    font-size: 20px;
    margin: 0;
}

.song-details p {
    font-size: 14px;
    margin: 0;
    color: #909090;
}

.controls button {
    width: 23%;
    font-size: 100%;
    background-color: #000000f2;
    color: #fff;
    border: none;
    text-align: center;
    padding: 10px 0;
    margin: 0 10px;
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.controls button:hover {
    background-color: #0000003e;
}

.button-svg {
    width: 25px;
    filter: invert(1);
}

#soundBtn {
    width: fit-content;
    height: 35px;
    padding: 5px;
    margin: 0;
    position: absolute;
    right: 10%;
    bottom: 15%;
    background-color: #00000095;
}

#shuffleLoopBtn {
    width: fit-content;
    height: 35px;
    padding: 5px;
    margin: 0;
    position: absolute;
    right: 30%;
    bottom: 15%;
    background-color: #00000095;
}

.progress {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#progressBar {
    width: 80%;
    margin: 10px 0;
}

.time {
    display: flex;
    justify-content: space-between;
    width: 80%;
    font-size: 14px;
    color: #909090;
    padding-bottom: 50px;
}

footer {
    height: 5%;
    padding: 10px;
    background-color: #272525;
    color: #fff;
}

.footer-wrapper {
    display: flex;
    justify-content: space-between;
}

.github-link {
    display: flex;
    align-self: center;
}

footer a {
    color: #fff;
    text-decoration: none;
}

footer a:hover {
    color: #909090;
}

@media screen and (max-width: 1200px) {

    .controls {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
        align-content: center;
    }
    .controls button {
        width: 50%;
        font-size: 100%;
        margin: 5px;
    }

    .time {
        padding-bottom: 60px;
    }

    #soundBtn, #shuffleLoopBtn {
        bottom: 10%;
    }

}